Visit Azul.com Support

Compatibility Reference

Table of Contents

Looking for Zing? The Azul Zing Virtual Machine is now Azul Zulu Prime Builds of OpenJDK and part of Azul Platform Prime. Learn more.

This section describes the Azul Platform Prime component version compatibility, Azul Zulu Prime System Tools (ZST) and API version compatibility, and Azul Platform Prime component deprecation.

Component Version Compatibility

This table lists the component versions that have been tested and are compatible. All component versions listed are compatible with each other.

Important: If you are using Intel KPTI fix, it is recommended to upgrade your ZST to ZST 5.20.5 or higher. See Providing Compatibility with the Intel CPU Bug Fix in the Azul Zulu Prime System Tools Release Notes.

Azul Platform Prime Version ZST Version

21.08.x.x

21.07.x.x

21.06.x.x

21.05.x.x

21.04.x.x

21.03.x.x

21.02.x.x

20.12.x.x

20.10.x.x

20.09.x.x

20.08.x.x

20.07.x.x

20.06.x.x

20.05.x.x

20.04.x.x

20.03.x.x

20.02.x.x

20.01.x.x

19.12.x.x

19.10.x.x

19.09.x.x

19.08.x.x

19.07.x.x

19.06.x.x

19.05.x.x

19.04.x.x

19.03.x.x

19.02.x.x

19.01.x.x

18.12.x.x

18.10.x.x

18.09.x.x

18.08.x.x

18.07.x.x

18.06.x.x

18.05.x.x,

18.04.x.x,

18.03.x.x,

18.02.x.x,

18.01.x.x,

17.12.x.x,

17.11.x.x,

17.10.x.x,

17.08.x.x,

17.06.x.x,

17.03.x.x,

16.12.x.x

5.15.0 and above

16.10.x.x,

16.07.x.x,

16.01.x.x

5.7.19 and above

15.09.x.x

5.7.16 and above

15.05.3.0,

15.05.2.0,

15.05.1.0

5.7.12 and above

15.05.0.0

5.7.11 and above

15.02.x.x

5.7.0 and above

14.11.x.x

5.7.6 and above

14.09.x.x,

5.10.x,

5.9.x,

5.8.x,

5.7.x

5.7.0 and above

Component Retirement Summary

This table lists the component versions that have been retired. All component versions listed pertain to the last supported version at start of their retirement.

Azul Zulu Prime Builds of OpenJDK Deprecation Summary

Retired Platform Azul Platform Prime Version

Java SE 6

17.3.3.0

ZST Deprecation Summary

Retired Platform ZST Version

RHEL/CentOS 5.x, Oracle Linux 5.x

5.20.0